## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate ahash

Name:           rust-ahash
Version:        0.8.7
Release:        %autorelease
Summary:        Non-cryptographic hash function using AES-NI for high performance

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ahash
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused benchmarks and benchmark-only criterion dev-dependency
Patch:          ahash-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A non-cryptographic hash function using AES-NI for high performance.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/FAQ.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+atomic-polyfill-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+atomic-polyfill-devel %{_description}

This package contains library source intended for building other packages which
use the "atomic-polyfill" feature of the "%{crate}" crate.

%files       -n %{name}+atomic-polyfill-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compile-time-rng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compile-time-rng-devel %{_description}

This package contains library source intended for building other packages which
use the "compile-time-rng" feature of the "%{crate}" crate.

%files       -n %{name}+compile-time-rng-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const-random-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const-random-devel %{_description}

This package contains library source intended for building other packages which
use the "const-random" feature of the "%{crate}" crate.

%files       -n %{name}+const-random-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+getrandom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+getrandom-devel %{_description}

This package contains library source intended for building other packages which
use the "getrandom" feature of the "%{crate}" crate.

%files       -n %{name}+getrandom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-arm-aes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-arm-aes-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly-arm-aes" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-arm-aes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-rng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-rng-devel %{_description}

This package contains library source intended for building other packages which
use the "no-rng" feature of the "%{crate}" crate.

%files       -n %{name}+no-rng-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+runtime-rng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+runtime-rng-devel %{_description}

This package contains library source intended for building other packages which
use the "runtime-rng" feature of the "%{crate}" crate.

%files       -n %{name}+runtime-rng-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove benchmark sources from non-standard path in tests/
rm tests/{bench.rs,map_tests.rs}

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch s390x
# * one test fails only on s390x:
#   https://github.com/tkaitchuck/aHash/issues/152
%cargo_test -- -- --skip operations::test::test_add_length
%else
%cargo_test
%endif
%endif

%changelog
* Thu Jan 04 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.7-1
- Update to version 0.8.7; Fixes RHBZ#2256230

* Mon Nov 20 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.8.6-1
- Rebuilt for MSVSphere 9.2

* Fri Oct 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.6-1
- Update to version 0.8.6; Fixes RHBZ#2245597

* Sun Apr 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.3-1
- Update to version 0.8.3; Fixes RHBZ#2164234

* Mon Dec 19 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.2-1
- Update to version 0.8.2; Fixes RHBZ#2117147

* Wed Dec 29 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.7.6-3
- Rebuild

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.6-2
- Disable tests to around compilation issues on some architectures

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.6-1
- Update to version 0.7.6; Fixes RHBZ#2012743

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 17 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.4-1
- Update to version 0.7.4.
- Fixes RHBZ#1964256

* Sat May 22 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.3-1
- Update to version 0.7.3.
- Fixes RHBZ#1963306

* Sat May 01 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-2
- Temporarily disable tests due to architecture-specific issues.

* Wed Apr 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-1
- Update to version 0.7.2.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Sep 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.5-1
- Update to version 0.4.5.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> - 0.3.8-1
- Update to 0.3.8

* Sat May 16 19:38:42 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.3.5-1
- Update to 0.3.5

* Wed May 06 2020 Josh Stone <jistone@redhat.com> - 0.3.4-1
- Update to 0.3.4

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 28 2020 Josh Stone <jistone@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Fri Dec 20 20:04:40 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.18-1
- Initial package

